var imgIndex = 0;
var appupload = {
	init: function(num, obj) {
		var btnArray = [{
			title: "相册"
		}, {
			title: "拍照"
		}];
		plus.nativeUI.actionSheet({
			title: "选择照片",
			cancel: "取消",
			buttons: btnArray
		}, function(e) {
			var index = e.index;
			switch (index) {
				case 0:
					break;
				case 1:
					//相册
					appupload.gallery(num, obj);
					break;
				case 2:
					//拍照
					appupload.camera(obj);
					break;
			}
		});
	},
	gallery: function(num, obj) {
		num = parseInt(num) ? num : 1;
		if (num == 1) {
			plus.gallery.pick(function(path) {
				appupload.upload(path, obj);
			});
		} else {
			plus.gallery.pick(function(e) {
				if (e.files.length > num) {
					plus.nativeUI.alert('最多只能上传' + num + '张图,现在是' + e.files.length + '张');
					return false;
				}
				for (var i in e.files) {
					appupload.upload(e.files[i], obj);
				}
			}, function(e) {}, {
				filter: "image",
				multiple: true
			});
		}
	},
	camera: function(obj) {
		var cmr = plus.camera.getCamera().captureImage(function(p) {
			plus.io.resolveLocalFileSystemURL(p, function(entry) {
				var path = entry.toLocalURL();
				appupload.upload(path, obj);
			});
		}, function(error) {
			app.debug("照片添加失败: " + error.message);
		});
	},
	upload: function(path, obj) {
		app.showLoad();
		uid = app.user.uid();
		if (!uid) {
			app.toast('请登录!');
			return;
		}
		if (path.toLowerCase().indexOf('.gif') == -1) {
			//非gif,执行压缩
			var dst = "_doc/photo/" + Math.random(100) + '.jpg';
			plus.zip.compressImage({
				src: path,
				dst: dst,
				width: '500',
				format: 'jpg'
			}, function() {
				plus.io.resolveLocalFileSystemURL(dst, function(entry) {
					path = entry.toLocalURL();
				});
			}, function(error) {
				app.toast('图片压缩失败!');
				return;
			});

		}

		var url = host + '?m=upload&a=upload';
		var task = plus.uploader.createUpload(url, {
				method: "POST"
			},
			function(rs, status) {
				// 上传完成
				if (status == 200) {
					app.closeLoad();
					data = JSON.parse(rs.responseText);
					obj(data);
				} else {
					app.toast('图片上传失败!');
				}
			}
		);
		task.addFile(path, {});
		task.addData('data', JSON.stringify({
			uid: uid,
			index: imgIndex
		}));
		imgIndex++;
		task.start();
	}
}